import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import java.text.*;

public class ServletsParameters extends DesignedHtmlServlet {
    private  SimpleDateFormat formatter;
  //"yyyy.MM.dd G 'at' hh:mm:ss a zzz"

  public void init(ServletConfig config) throws ServletException {
   super.init(config);
   String s = config.getInitParameter("dateformat");
   formatter = new SimpleDateFormat (s);
  }

  /**Process the HTTP Get request*/
  public void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
    response.setContentType("text/html");
    PrintWriter out = response.getWriter();
    StartOfHtml(out,"Example 3: Reading Parameters" );
    ExampleTitle(out, 3,"Reading Parameters");
    out.println("If you press the Refresh button in your browser, you shall see that the arrival date  that appears here is dynamically updated.");
    out.println("Notice that the date is formatted according to the dateformat as specified as initialization parameter for this servlet in the XML file.");
    out.println("<br> <br> <br>");
    out.println("HTTP GET has arrived at");
    out.println("<b>"+formatter.format(new Date())+"</b>");
    EndOfHtml(out);
  }
}